

#: Th directory all configuration will reside in :file:`/etc/openvpn` by default but website/conf in dev
OVPN_CONF_DIR  = '/etc/openvpn'

#: the key to use for CA
OVPN_CA_KEY  = '%s/keys/ca.key' % OVPN_CONF_DIR

#: the certificate of the CA
OVPN_CA_CERT = '%s/keys/ca.crt' % OVPN_CONF_DIR

#: the directory where all .zip/.tar files will be kept
OVPN_TAR_PATH  = '%s/cert_files/' % OVPN_CONF_DIR

#: The file used to create certificates by hand
OVPN_CONF_DEFAULT_FILE = '%s/mk_vpn/mk_vpn.conf' % OVPN_CONF_DIR

#: the directory where all .fw files will be kept (with firewalling rules)
OVPN_CERT_RULES_PATH = '%s/cert_rules/' % OVPN_CONF_DIR

#: the mode to use when generating files: .zip or .tar
OVPN_EXT_CERT = 'zip'

#: boolean: if auth-suer-pass should be used
OVPN_USE_PASSWORD = True

#: boolean: if compression should be used by the client
OVPN_COMP_LZO = True

#: which proptcol the server uses
OVPN_PROTO  = 'UDP'

#: You may set a fake password to be use in check_passwd
OVPN_USE_FALLBACK_PASSWD = False
